aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorWilliam Harrington <kb0iic@berzerkula.org>2021-03-30 13:03:52 -0500
committerWilliam Harrington <kb0iic@berzerkula.org>2021-03-30 13:03:52 -0500
commitdc161b4d4f5c37c2e72a953e639641b112fb68a0 (patch)
tree7effd9c42ca78d47817d48f25d1b5b08bca63f73
parent661a2ab5a84b70f3075777599b27e19f06b49e8a (diff)
Add shebangs and cleanup libstdc++.sh
-rw-r--r--chapter7/bison.sh2
-rw-r--r--chapter7/gettext.sh2
-rw-r--r--chapter7/libstdc++.sh6
-rw-r--r--chapter7/python.sh2
-rw-r--r--chapter7/texinfo.sh2
-rw-r--r--chapter7/util-linux.sh2
6 files changed, 14 insertions, 2 deletions
diff --git a/chapter7/bison.sh b/chapter7/bison.sh
index 3112d1f..2385d22 100644
--- a/chapter7/bison.sh
+++ b/chapter7/bison.sh
@@ -1,3 +1,5 @@
+#!/bin/bash
+
./configure --prefix=/usr --docdir=/usr/share/doc/bison-"${VERSION}" &&
make &&
make -j1 install
diff --git a/chapter7/gettext.sh b/chapter7/gettext.sh
index 85bc7f4..49fbf15 100644
--- a/chapter7/gettext.sh
+++ b/chapter7/gettext.sh
@@ -1,3 +1,5 @@
+#!/bin/bash
+
./configure --disable-shared
make &&
cp -v gettext-tools/src/msgfmt /usr/bin
diff --git a/chapter7/libstdc++.sh b/chapter7/libstdc++.sh
index 5e81693..c2ef63b 100644
--- a/chapter7/libstdc++.sh
+++ b/chapter7/libstdc++.sh
@@ -1,12 +1,14 @@
+#!/bin/bash
+
ln -s gthr-posix.h libgcc/gthr-default.h
mkdir build
-cd build
+cd build || exit 1
../libstdc++-v3/configure \
CXXFLAGS="-g -O2 -D_GNU_SOURCE" \
--prefix=/usr \
--disable-multilib \
--disable-nls \
- --host=$(uname -m)-lfs-linux-gnu \
+ --host="$(uname -m)"-lfs-linux-gnu \
--disable-libstdcxx-pch &&
make &&
make -j1 install
diff --git a/chapter7/python.sh b/chapter7/python.sh
index 7d158b1..daf1677 100644
--- a/chapter7/python.sh
+++ b/chapter7/python.sh
@@ -1,3 +1,5 @@
+#!/bin/bash
+
./configure --prefix=/usr \
--enable-shared \
--without-ensurepip &&
diff --git a/chapter7/texinfo.sh b/chapter7/texinfo.sh
index 7f133fe..1935156 100644
--- a/chapter7/texinfo.sh
+++ b/chapter7/texinfo.sh
@@ -1,3 +1,5 @@
+#!/bin/bash
+
./configure --prefix=/usr &&
make &&
make -j1 install
diff --git a/chapter7/util-linux.sh b/chapter7/util-linux.sh
index e70fbfa..7a00c8c 100644
--- a/chapter7/util-linux.sh
+++ b/chapter7/util-linux.sh
@@ -1,3 +1,5 @@
+#!/bin/bash
+
mkdir -p /var/lib/hwclock &&
./configure ADJTIME_PATH=/var/lib/hwclock/adjtime \
--docdir=/usr/share/doc/util-linux-"${VERSION}" \